### Hierarchy

- FaceProcessor<FaceFeatureExtractorParams>
  - FaceExpressionNet

## Index

### Constructors

- constructor

### Properties

- _name

### Accessors

- faceFeatureExtractor
- isLoaded
- paramMappings
- params

### Methods

- dispose
- extractClassifierParams
- extractWeights
- forward
- forwardInput
- freeze
- getFrozenParams
- getParamFromPath
- getParamList
- getTrainableParams
- load
- loadClassifierParams
- loadFromDisk
- loadFromUri
- loadFromWeightMap
- predictExpressions
- reassignParamFromPath
- runNet
- serializeParams
- variable

## Constructors

### constructor

- new FaceExpressionNet(faceFeatureExtractor?: FaceFeatureExtractor): FaceExpressionNet

- Overrides FaceProcessor<FaceFeatureExtractorParams>.constructor

  - Defined in faceExpressionNet/FaceExpressionNet.ts:9

  #### Parameters

  - ##### faceFeatureExtractor: FaceFeatureExtractor = ...

  #### Returns FaceExpressionNet

## Properties

### _name

_name: any

Inherited from FaceProcessor._name

- Defined in NeuralNetwork.ts:17

## Accessors

### faceFeatureExtractor

- get faceFeatureExtractor(): IFaceFeatureExtractor<TExtractorParams>

- - Defined in faceProcessor/FaceProcessor.ts:23

  #### Returns IFaceFeatureExtractor<TExtractorParams>

### isLoaded

- get isLoaded(): boolean

- - Defined in NeuralNetwork.ts:23

  #### Returns boolean

### paramMappings

- get paramMappings(): ParamMapping[]

- - Defined in NeuralNetwork.ts:21

  #### Returns ParamMapping[]

### params

- get params(): undefined | TNetParams

- - Defined in NeuralNetwork.ts:19

  #### Returns undefined | TNetParams

## Methods

### dispose

- dispose(throwOnRedispose?: boolean): void

- Inherited from FaceProcessor.dispose

  - Defined in faceProcessor/FaceProcessor.ts:48

  #### Parameters

  - ##### throwOnRedispose: boolean = true

  #### Returns void

### extractClassifierParams

- extractClassifierParams(weights: Float32Array): { paramMappings: ParamMapping[]; params: NetParams }

- Inherited from FaceProcessor.extractClassifierParams

  - Defined in faceProcessor/FaceProcessor.ts:59

  #### Parameters

  - ##### weights: Float32Array

  #### Returns { paramMappings: ParamMapping[]; params: NetParams }

  - ##### paramMappings: ParamMapping[]

  - ##### params: NetParams

### extractWeights

- extractWeights(weights: Float32Array): void

- Inherited from FaceProcessor.extractWeights

  - Defined in NeuralNetwork.ts:118

  #### Parameters

  - ##### weights: Float32Array

  #### Returns void

### forward

- forward(input: any): Promise<any>

- - Defined in faceExpressionNet/FaceExpressionNet.ts:18

  #### Parameters

  - ##### input: any

  #### Returns Promise<any>

### forwardInput

- forwardInput(input: any): any

- - Defined in faceExpressionNet/FaceExpressionNet.ts:14

  #### Parameters

  - ##### input: any

  #### Returns any

### freeze

- freeze(): void

- Inherited from FaceProcessor.freeze

  - Defined in NeuralNetwork.ts:57

  #### Returns void

### getFrozenParams

- getFrozenParams(): { path: string; tensor: any }[]

- Inherited from FaceProcessor.getFrozenParams

  - Defined in NeuralNetwork.ts:47

  #### Returns { path: string; tensor: any }[]

### getParamFromPath

- getParamFromPath(paramPath: string): any

- Inherited from FaceProcessor.getParamFromPath

  - Defined in NeuralNetwork.ts:25

  #### Parameters

  - ##### paramPath: string

  #### Returns any

### getParamList

- getParamList(): { path: string; tensor: any }[]

- Inherited from FaceProcessor.getParamList

  - Defined in NeuralNetwork.ts:36

  #### Returns { path: string; tensor: any }[]

### getTrainableParams

- getTrainableParams(): { path: string; tensor: any }[]

- Inherited from FaceProcessor.getTrainableParams

  - Defined in NeuralNetwork.ts:43

  #### Returns { path: string; tensor: any }[]

### load

- load(weightsOrUrl: undefined | string | Float32Array): Promise<void>

- Inherited from FaceProcessor.load

  - Defined in NeuralNetwork.ts:83

  #### Parameters

  - ##### weightsOrUrl: undefined | string | Float32Array

  #### Returns Promise<void>

### loadClassifierParams

- loadClassifierParams(weights: Float32Array): void

- Inherited from FaceProcessor.loadClassifierParams

  - Defined in faceProcessor/FaceProcessor.ts:53

  #### Parameters

  - ##### weights: Float32Array

  #### Returns void

### loadFromDisk

- loadFromDisk(filePath: undefined | string): Promise<void>

- Inherited from FaceProcessor.loadFromDisk

  - Defined in NeuralNetwork.ts:99

  #### Parameters

  - ##### filePath: undefined | string

  #### Returns Promise<void>

### loadFromUri

- loadFromUri(uri: undefined | string): Promise<void>

- Inherited from FaceProcessor.loadFromUri

  - Defined in NeuralNetwork.ts:91

  #### Parameters

  - ##### uri: undefined | string

  #### Returns Promise<void>

### loadFromWeightMap

- loadFromWeightMap(weightMap: any): void

- Inherited from FaceProcessor.loadFromWeightMap

  - Defined in NeuralNetwork.ts:112

  #### Parameters

  - ##### weightMap: any

  #### Returns void

### predictExpressions

- predictExpressions(input: any): Promise<FaceExpressions | FaceExpressions[]>

- - Defined in faceExpressionNet/FaceExpressionNet.ts:22

  #### Parameters

  - ##### input: any

  #### Returns Promise<FaceExpressions | FaceExpressions[]>

### reassignParamFromPath

- reassignParamFromPath(paramPath: string, tensor: any): void

- Inherited from FaceProcessor.reassignParamFromPath

  - Defined in NeuralNetwork.ts:30

  #### Parameters

  - ##### paramPath: string

  - ##### tensor: any

  #### Returns void

### runNet

- runNet(input: any): any

- Inherited from FaceProcessor.runNet

  - Defined in faceProcessor/FaceProcessor.ts:33

  #### Parameters

  - ##### input: any

  #### Returns any

### serializeParams

- serializeParams(): Float32Array

- Inherited from FaceProcessor.serializeParams

  - Defined in NeuralNetwork.ts:75

  #### Returns Float32Array

### variable

- variable(): void

- Inherited from FaceProcessor.variable

  - Defined in NeuralNetwork.ts:51

  #### Returns void